precision mediump float;

varying vec4 v_color;
varying vec3 v_mat3_1;
varying vec3 v_mat3_2;
varying vec3 v_mat3_3;

uniform sampler2D u_texture;


void main() 
{
	mat3 tex_rot = mat3(v_mat3_1 , v_mat3_2 , v_mat3_3);
	vec2 texCoord = (tex_rot * vec3(gl_PointCoord, 1.0 )).xy;
	
	
	gl_FragColor = texture2D(u_texture , texCoord) * v_color;
}

