attribute vec4 a_vertex;
attribute vec2 a_texcoord;

uniform mat4 u_projMatrix;
uniform mat4 u_modelMatrix;
uniform mat4 u_cameraMatrix;


varying vec2 v_texcoord;

void main()
{
	gl_Position=u_projMatrix*( u_cameraMatrix * (u_modelMatrix * a_vertex));
	v_texcoord  = a_texcoord;
}