precision mediump float;

uniform sampler2D u_texture;
uniform vec4 u_color;

varying vec2 v_texcoord;

void main() 
{
	float r = u_color.r;
	
	if ( r > 1.0 ) r = 1.0;
	if ( r < 0.0 ) r = 0.0;
	
	float g = u_color.g;
	
	if ( g > 1.0 ) g = 1.0;
	if ( g < 0.0 ) g = 0.0;
	
	float b = u_color.b;
	
	if ( b > 1.0 ) b = 1.0;
	if ( b < 0.0 ) b = 0.0;
	
	float a = u_color.a;
	
	gl_FragColor = vec4(r, g, b, a);

}