attribute vec4 a_vertex;
attribute vec4 a_color;

uniform mat4 u_projMatrix;
uniform mat4 u_modelMatrix;
uniform mat4 u_cameraMatrix;


varying vec4 v_color;

void main()
{
	gl_Position =  u_projMatrix * ( u_cameraMatrix * (u_modelMatrix * a_vertex));
	v_color = a_color;
}