precision mediump float;

uniform vec4 	u_color;
uniform vec4 	u_light_info;

varying vec2 v_texcoord;

void main() 
{


	float light;
	float dist = 1.0 - length( u_light_info.xy - v_texcoord) / u_light_info.z ;
	light = 1.0 - min(max(0.0 , dist + 0.1) , 1.0);
	
	gl_FragColor = vec4(u_color.rgb, light);
	
}